nn.pp.rccore

## Class KvmPort

- java.lang.Object
- - nn.pp.rccore.KvmPort

- All Implemented Interfaces:
    IKvmPort

      public class KvmPort
      extends java.lang.Object
      implements IKvmPort

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface nn.pp.rccore.IKvmPort

      `IKvmPort.KvmPermission, IKvmPort.PowerPermission, IKvmPort.VmPermission`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KvmPort(IKvmPort port)`
    `KvmPort(java.lang.String portNo, java.lang.String uniquePortId, java.lang.String portName, IKvmPort.KvmPermission kvmPermission, IKvmPort.VmPermission vmPermission)`
    `KvmPort(java.lang.String portNo, java.lang.String uniquePortId, java.lang.String portName, IKvmPort.KvmPermission kvmPermission, IKvmPort.VmPermission vmPermission, boolean vmPortType)`
    `KvmPort(java.lang.String portNo, java.lang.String uniquePortId, java.lang.String portName, java.lang.String cimType, IKvmPort.KvmPermission kvmPermission, IKvmPort.VmPermission vmPermission, IKvmPort.PowerPermission powerPermission)`
    `KvmPort(java.lang.String portNo, java.lang.String uniquePortId, java.lang.String portName, java.lang.String cimType, IKvmPort.KvmPermission kvmPermission, IKvmPort.VmPermission vmPermission, IKvmPort.PowerPermission powerPermission, boolean vmPortType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getCimType()` Get the type of the CIM (Computer Interface Module)
    `IKvmPort.KvmPermission` | `getKvmPermission()` Get the KVM Permission for the port
    `java.lang.String` | `getPortName()` Get the user-friendly name of the port
    `java.lang.String` | `getPortNo()` Get the port number of the port
    `IKvmPort.PowerPermission` | `getPowerPermission()` Get the Power Permission for the port
    `java.lang.String` | `getUniquePortId()` Get the unique port identifier
    `IKvmPort.VmPermission` | `getVmPermission()` Get the Virtual Media Permission for the port
    `int` | `hashCode()`
    `boolean` | `isVmPortType()` Does the port have Virtual Media capabilities?
    `void` | `setCimType(java.lang.String cimType)` Set the type of the CIM (Computer Interface Module)
    `void` | `setKvmPermission(IKvmPort.KvmPermission permission)` Set the KVM Permission for the port
    `void` | `setPortNo(java.lang.String no)` Set the port number of the port
    `void` | `setPowerPermission(IKvmPort.PowerPermission perm)` Set the Power Permission for the port
    `void` | `setUniquePortId(java.lang.String id)` Set the unique port identifier
    `void` | `setVMPermission(IKvmPort.VmPermission permission)` Set the Virtual Media Permission for the port
    `void` | `setVmPortType(boolean vmPortType)` Set the Virtual Media capabilities
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KvmPort

          public KvmPort(java.lang.String portNo,
                         java.lang.String uniquePortId,
                         java.lang.String portName,
                         java.lang.String cimType,
                         IKvmPort.KvmPermission kvmPermission,
                         IKvmPort.VmPermission vmPermission,
                         IKvmPort.PowerPermission powerPermission,
                         boolean vmPortType)

    - #### KvmPort

          public KvmPort(java.lang.String portNo,
                         java.lang.String uniquePortId,
                         java.lang.String portName,
                         java.lang.String cimType,
                         IKvmPort.KvmPermission kvmPermission,
                         IKvmPort.VmPermission vmPermission,
                         IKvmPort.PowerPermission powerPermission)

    - #### KvmPort

          public KvmPort(java.lang.String portNo,
                         java.lang.String uniquePortId,
                         java.lang.String portName,
                         IKvmPort.KvmPermission kvmPermission,
                         IKvmPort.VmPermission vmPermission,
                         boolean vmPortType)

    - #### KvmPort

          public KvmPort(java.lang.String portNo,
                         java.lang.String uniquePortId,
                         java.lang.String portName,
                         IKvmPort.KvmPermission kvmPermission,
                         IKvmPort.VmPermission vmPermission)

    - #### KvmPort

          public KvmPort(IKvmPort port)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getPortNo

          public java.lang.String getPortNo()

      Description copied from interface: `IKvmPort`

      Get the port number of the port

      This is usually a number from "1" up to the biggest number of supported ports on the KX. In case of any cascaded ports (e.g. tiering or blade chassis ports), this may also be something like "1.1".

      Specified by:
        `getPortNo` in interface `IKvmPort`
      Returns:
        the port number of the port

    - #### setPortNo

          public void setPortNo(java.lang.String no)

      Description copied from interface: `IKvmPort`

      Set the port number of the port

      This is usually a number from "1" up to the biggest number of supported ports on the KX. In case of any cascaded ports (e.g. tiering or blade chassis ports), this may also be something like "1.1".

      Specified by:
        `setPortNo` in interface `IKvmPort`
      Parameters:
        `no` - the port number of the port

    - #### getUniquePortId

          public java.lang.String getUniquePortId()

      Description copied from interface: `IKvmPort`

      Get the unique port identifier

      This is something like "P_000000000000_0"

      Specified by:
        `getUniquePortId` in interface `IKvmPort`
      Returns:
        The unique port identifier

    - #### setUniquePortId

          public void setUniquePortId(java.lang.String id)

      Description copied from interface: `IKvmPort`

      Set the unique port identifier

      This is something like "P_000000000000_0"

      Specified by:
        `setUniquePortId` in interface `IKvmPort`
      Parameters:
        `id` - the unique port identifier

    - #### getPortName

          public java.lang.String getPortName()

      Description copied from interface: `IKvmPort`
      Get the user-friendly name of the port
      Specified by:
        `getPortName` in interface `IKvmPort`
      Returns:
        the user-friendly name of the port

    - #### getKvmPermission

          public IKvmPort.KvmPermission getKvmPermission()

      Description copied from interface: `IKvmPort`
      Get the KVM Permission for the port
      Specified by:
        `getKvmPermission` in interface `IKvmPort`
      Returns:
        the KVM Permission for the port

    - #### getVmPermission

          public IKvmPort.VmPermission getVmPermission()

      Description copied from interface: `IKvmPort`
      Get the Virtual Media Permission for the port
      Specified by:
        `getVmPermission` in interface `IKvmPort`
      Returns:
        the Virtual Media Permission for the port

    - #### setKvmPermission

          public void setKvmPermission(IKvmPort.KvmPermission permission)

      Description copied from interface: `IKvmPort`
      Set the KVM Permission for the port
      Specified by:
        `setKvmPermission` in interface `IKvmPort`
      Parameters:
        `permission` - the KVM Permission for the port

    - #### setVMPermission

          public void setVMPermission(IKvmPort.VmPermission permission)

      Description copied from interface: `IKvmPort`
      Set the Virtual Media Permission for the port
      Specified by:
        `setVMPermission` in interface `IKvmPort`
      Parameters:
        `permission` - the Virtual Media Permission for the port

    - #### isVmPortType

          public boolean isVmPortType()

      Description copied from interface: `IKvmPort`
      Does the port have Virtual Media capabilities?
      Specified by:
        `isVmPortType` in interface `IKvmPort`
      Returns:
        true if the port has Virtual Media capabilities, false otherwise

    - #### setVmPortType

          public void setVmPortType(boolean vmPortType)

      Description copied from interface: `IKvmPort`
      Set the Virtual Media capabilities
      Specified by:
        `setVmPortType` in interface `IKvmPort`
      Parameters:
        `vmPortType` - true if the port has Virtual Media capabilities, false otherwise

    - #### getCimType

          public java.lang.String getCimType()

      Description copied from interface: `IKvmPort`

      Get the type of the CIM (Computer Interface Module)

      NOTE: this may be unknown! Support for CIM Types has been added in KX 3.4 and is only submitted to the client on requesting the port list.

      Specified by:
        `getCimType` in interface `IKvmPort`
      Returns:
        the type of the CIM

    - #### setCimType

          public void setCimType(java.lang.String cimType)

      Description copied from interface: `IKvmPort`

      Set the type of the CIM (Computer Interface Module)

      Specified by:
        `setCimType` in interface `IKvmPort`
      Parameters:
        `cimType` - the type of the CIM

    - #### getPowerPermission

          public IKvmPort.PowerPermission getPowerPermission()

      Description copied from interface: `IKvmPort`

      Get the Power Permission for the port

      NOTE: this may be unknown! Support for power permissions has been added in KX 3.4 and is only submitted to the client on requesting the port list.

      Specified by:
        `getPowerPermission` in interface `IKvmPort`
      Returns:
        the Power Permission for the port

    - #### setPowerPermission

          public void setPowerPermission(IKvmPort.PowerPermission perm)

      Description copied from interface: `IKvmPort`
      Set the Power Permission for the port
      Specified by:
        `setPowerPermission` in interface `IKvmPort`
      Parameters:
        `perm` - the Power Permission for the port

Copyright © 2025 Raritan Inc. All Rights Reserved.